### Method

# Ggit Repository lookup_reference

#### Declaration [src]

    GgitRef*
    ggit_repository_lookup_reference (
      GgitRepository* repository,
      const gchar* name,
      GError** error
    )

#### Description [src]

Lookups a reference by its name in `repository`. The returned `GgitRef` must be freed with g_object_unref().

#### Parameters

`name`

  Type: `const gchar*`

  The long name for the reference (e.g. HEAD, ref/heads/master, refs/tags/v0.1.0, …).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitRef`

The searched reference.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.